Package org.springframework.security.web.access

# Class HandlerMappingIntrospectorRequestTransformer

java.lang.Object
org.springframework.security.web.access.HandlerMappingIntrospectorRequestTransformer

All Implemented Interfaces:
  `AuthorizationManagerWebInvocationPrivilegeEvaluator.HttpServletRequestTransformer`

public class HandlerMappingIntrospectorRequestTransformer extends Object implements AuthorizationManagerWebInvocationPrivilegeEvaluator.HttpServletRequestTransformer
Transforms by passing it into `HandlerMappingIntrospector.setCache(HttpServletRequest)`. Before, it wraps the `HttpServletRequest` to ensure that the methods needed work since some methods by default throw `UnsupportedOperationException`.

## Field Summary

### Fields inherited from interface org.springframework.security.web.access.AuthorizationManagerWebInvocationPrivilegeEvaluator.HttpServletRequestTransformer

`IDENTITY`

## Constructor Summary

Constructors
Constructor
Description
`HandlerMappingIntrospectorRequestTransformer(org.springframework.web.servlet.handler.HandlerMappingIntrospector introspector)`

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.http.HttpServletRequest`
`transform(jakarta.servlet.http.HttpServletRequest request)`
Return the `HttpServletRequest` that is passed into the `AuthorizationManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HandlerMappingIntrospectorRequestTransformer

public HandlerMappingIntrospectorRequestTransformer(org.springframework.web.servlet.handler.HandlerMappingIntrospector introspector)

## Method Details

### transform

public jakarta.servlet.http.HttpServletRequest transform(jakarta.servlet.http.HttpServletRequest request)
Description copied from interface: `AuthorizationManagerWebInvocationPrivilegeEvaluator.HttpServletRequestTransformer`
Return the `HttpServletRequest` that is passed into the `AuthorizationManager`

Specified by:
  `transform` in interface `AuthorizationManagerWebInvocationPrivilegeEvaluator.HttpServletRequestTransformer`
Parameters:
  `request` - the `HttpServletRequest` created by the `WebInvocationPrivilegeEvaluator`
Returns:
  the `HttpServletRequest` that is passed into the `AuthorizationManager`